[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.DataSize

Size (in bytes) for the data associated with keys

## Declaration

Source position: fgl.pp line 284

`public property TFPSMap.DataSize : Integer read FDataSize;`

## Description

DataSize is the size (in bytes) for the data in the map. This size is initialized during list construction and defaults to the size of a pointer.

## See also

TFPSMap.Create |  | Create a new map with given key and data size.
TFPSMap.KeySize |  | Size (in bytes) for the key
TFPSMap.Keys |  | Indexed access to the locations of all keys
TFPSMap.KeyData |  | Access to data locations using key
TFPSMap.Data |  | Indexed access to the locations of all data items